# frozen_string_literal: true

class CreateWebhooksEvents < ActiveRecord::Migration[6.1]
  def change
    create_table :webhooks_events do |t|
      t.string :event_type, null: false
      t.json :event, null: false, default: {}

      t.timestamps null: false, precision: 6
    end
  end
end
