# frozen_string_literal: true

class CreateWebhooksRequests < ActiveRecord::Migration[6.1]
  def change
    create_table :webhooks_requests do |t|
      t.belongs_to :webhooks_attempt, null: false, foreign_key: true, index: { unique: true }

      t.json :headers, null: false
      t.json :body, null: false

      t.datetime :created_at, null: false, precision: 6
    end
  end
end
