# frozen_string_literal: true

class CreateWebhooksResponses < ActiveRecord::Migration[6.1]
  def change
    create_table :webhooks_responses do |t|
      t.belongs_to :webhooks_request, null: false, foreign_key: true, index: { unique: true }

      t.integer :status_code, null: false
      t.json :headers, null: false
      t.text :body, null: true

      t.datetime :created_at, null: false, precision: 6
    end
  end
end
