# frozen_string_literal: true

Webhooks::Engine.routes.draw do
  resources :endpoints
  resources :events, only: %i[index new show create]
  resources :attempts, only: :show do
    member do
      post :reattempt
    end
  end

  get '/' => redirect('/endpoints')
end
